- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Static Public Member Functions | List of all members
pdftron::PDF::Printer Class Reference

`#include <Convert.h>`

## Public Types
enum | Mode { e_auto, e_interop_only, e_printer_only, e_prefer_builtin_converter }

## Static Public Member Functions
static void | Install (const UString &in_printerName="PDFTron PDFNet")
static void | Uninstall ()
static const UString | GetPrinterName ()
static void | SetPrinterName (const UString &in_printerName="PDFTron PDFNet")
static bool | IsInstalled (const UString &in_printerName="PDFTron PDFNet")
static void | SetMode (Mode mode)
static Mode | GetMode ()

## Detailed Description

Convert::Printer is a utility class to install the a printer for print-based conversion of documents for Convert::ToPdf

Definition at line 2626 of file Convert.h.

## Member Enumeration Documentation

enum pdftron::PDF::Printer::Mode

Enumerator
e_auto | By default PDFNet will pick the best means of converting the target document.
e_interop_only | For Office file conversions, force COM Interop to be used, regardless if this virtual printer is installed or not.
e_printer_only | For Office file conversions, do not check for Office COM Interop availability, and use the printer path instead.
e_prefer_builtin_converter | For Office file conversions, use the built in converter if it is available for the converted file type.

Definition at line 2687 of file Convert.h.

## Member Function Documentation

static Mode pdftron::PDF::Printer::GetMode | ( |  | ) |
| static

Get the current mode for print jobs.

Returns
  the current print mode

static const UString pdftron::PDF::Printer::GetPrinterName | ( |  | ) |
| static

Get the name of the PDFNet printer installed in this process session.

Returns
  the Unicode name of the PDFNet printer

Note
  if no printer was installed in this process then the predefined string "PDFTron PDFNet" will be returned.

static void pdftron::PDF::Printer::Install | ( | const UString & | in_printerName = `"PDFTron PDFNet"` | ) |
| static

Install the PDFNet printer. Installation can take a few seconds, so it is recommended that you install the printer once as part of your deployment process. Duplicated installations will be quick since the presence of the printer is checked before installation is attempted. There is no need to uninstall the printer after conversions, it can be left installed for later access.

Parameters

  in_printerName | the name of the printer to install and use for conversions. If in_printerName is not provided then the name "PDFTron PDFNet" is used.

Note
  Installing and uninstalling printer drivers requires the process to be running as administrator.

static bool pdftron::PDF::Printer::IsInstalled | ( | const UString & | in_printerName = `"PDFTron PDFNet"` | ) |
| static

Determine if the PDFNet printer is installed

Parameters

  in_printerName | the name of the printer to install and use for conversions. If in_printerName is not provided then the name "PDFTron PDFNet" is used.

Returns
  true if the named printer is installed, false otherwise

Note
  may or may not check if the printer with the given name is actually a PDFNet printer.

static void pdftron::PDF::Printer::SetMode | ( | Mode | mode | ) |
| static

Configure how PDFNet prints documents.

Parameters

  mode | set the print mode. Default is e_auto.

static void pdftron::PDF::Printer::SetPrinterName | ( | const UString & | in_printerName = `"PDFTron PDFNet"` | ) |
| static

Set the name of the PDFNet printer installed in this process session.

Returns
  the Unicode name of the PDFNet printer

Note
  if no printer was installed in this process then the predefined string "PDFTron PDFNet" will be used.

static void pdftron::PDF::Printer::Uninstall | ( |  | ) |
| static

Uninstall all printers using the PDFNet printer driver.

Note
  Installing and uninstalling printer drivers requires the process to be running as administrator. Only the "PDFTron PDFNet" printer can be uninstalled with this function.

The documentation for this class was generated from the following file:

- PDF/Convert.h